Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.stream
Class XMLOutputStreamFactory

    java.lang.Object
      |
      +--weblogic.xml.stream.XMLOutputStreamFactory

public abstract class XMLOutputStreamFactory
extends java.lang.Object

Defines an abstract implementation of a factory for getting output streams

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `XMLOutputStream`

Constructor Summary
`XMLOutputStreamFactory()`

Method Summary
`abstract XMLOutputStream` | `newCanonicalOutputStream(java.io.OutputStream outputStream)` Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(java.io.OutputStream outputStream, java.util.Map map)` Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(java.io.Writer writer)` Create a new Canonical XMLOutputStream
`abstract XMLOutputStream` | `newCanonicalOutputStream(java.io.Writer writer, java.util.Map map)`
`abstract XMLOutputStream` | `newDebugOutputStream(java.io.OutputStream stream)` Create a new XMLOutputStream that writes to a stream that pretty prints it's output
`abstract XMLOutputStream` | `newDebugOutputStream(java.io.Writer writer)` Create a new XMLOutputStream that writes to a writer that pretty prints it's output
`abstract XMLInputOutputStream` | `newInputOutputStream()` Create a new XMLInputOutputStream that can be passed into a method that takes an XMLOutputStream and read from like an XMLInputStream
`static XMLOutputStreamFactory` | `newInstance()` Create a new instance of the factory.
`abstract XMLOutputStream` | `newOutputStream(org.xml.sax.ContentHandler handler)` Create a new XMLOutputStream that writes to a SAX ContentHandler
`abstract XMLOutputStream` | `newOutputStream(org.w3c.dom.Document document)` Create a new XMLOutputStream that writes to a DOM document
`abstract XMLOutputStream` | `newOutputStream(org.w3c.dom.Document document, org.w3c.dom.DocumentFragment documentFragment)` Create a new XMLOutputStream that writes to a DOM document fragment
`abstract XMLOutputStream` | `newOutputStream(java.io.OutputStream stream)` Create a new XMLOutputStream that writes to a stream
`abstract XMLOutputStream` | `newOutputStream(java.io.OutputStream stream, boolean writeEmptyElements)` Create a new XMLOutputStream that writes to a stream
`abstract XMLOutputStream` | `newOutputStream(java.io.Writer writer)` Create a new XMLOutputStream that writes to a writer
`abstract XMLOutputStream` | `newOutputStream(java.io.Writer writer, boolean writeEmptyElements)` Create a new XMLOutputStream that writes to a writer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLOutputStreamFactory

    public XMLOutputStreamFactory()

Method Detail

### newInstance

    public static XMLOutputStreamFactory newInstance()

  Create a new instance of the factory.

### newOutputStream

    public abstract XMLOutputStream newOutputStream(java.io.OutputStream stream)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a stream

  Parameters:
    `stream` - the stream to write to

### newOutputStream

    public abstract XMLOutputStream newOutputStream(java.io.Writer writer)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a writer

  Parameters:
    `writer` - the writer to write to

### newOutputStream

    public abstract XMLOutputStream newOutputStream(org.w3c.dom.Document document)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a DOM document

  Parameters:
    `document` - the Document to write to

### newOutputStream

    public abstract XMLOutputStream newOutputStream(org.w3c.dom.Document document,
                                                    org.w3c.dom.DocumentFragment documentFragment)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a DOM document fragment

  Parameters:
    `document` - the Document the document fragment was created from
    `documentFragment` - the DocumentFragment to write to

### newOutputStream

    public abstract XMLOutputStream newOutputStream(org.xml.sax.ContentHandler handler)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a SAX ContentHandler

  Parameters:
    `handler` - the user provided content handler to call back as events are added to the output stream

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(java.io.OutputStream stream)
                                                  throws XMLStreamException

  Create a new XMLOutputStream that writes to a stream that pretty prints it's output

  Parameters:
    `stream` - the stream to write to

### newDebugOutputStream

    public abstract XMLOutputStream newDebugOutputStream(java.io.Writer writer)
                                                  throws XMLStreamException

  Create a new XMLOutputStream that writes to a writer that pretty prints it's output

  Parameters:
    `stream` - the stream to write to

### newInputOutputStream

    public abstract XMLInputOutputStream newInputOutputStream()
                                                       throws XMLStreamException

  Create a new XMLInputOutputStream that can be passed into a method that takes an XMLOutputStream and read from like an XMLInputStream

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(java.io.Writer writer)
                                                      throws XMLStreamException

  Create a new Canonical XMLOutputStream

  Parameters:
    `writer` - the writer to write to

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(java.io.OutputStream outputStream)
                                                      throws XMLStreamException

  Create a new Canonical XMLOutputStream

  Parameters:
    `outputStream` - the stream to write to

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(java.io.Writer writer,
                                                             java.util.Map map)
                                                      throws XMLStreamException

### newCanonicalOutputStream

    public abstract XMLOutputStream newCanonicalOutputStream(java.io.OutputStream outputStream,
                                                             java.util.Map map)
                                                      throws XMLStreamException

  Create a new Canonical XMLOutputStream

  Parameters:
    `outputStream` - the stream to write to

### newOutputStream

    public abstract XMLOutputStream newOutputStream(java.io.OutputStream stream,
                                                    boolean writeEmptyElements)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a stream

  Parameters:
    `stream` - the stream to write to
    `writeEmptyElements` - if false the stream will write , if true it will write

### newOutputStream

    public abstract XMLOutputStream newOutputStream(java.io.Writer writer,
                                                    boolean writeEmptyElements)
                                             throws XMLStreamException

  Create a new XMLOutputStream that writes to a writer

  Parameters:
    `writer` - the writer to write to
    `writeEmptyElements` - if false the stream will write , if true it will write

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD